UiPath Documentation
automation-suite
2.2510
true
UiPath Automation Suite API ガイド
重要 :
このコンテンツの一部は機械翻訳によって処理されており、完全な翻訳を保証するものではありません。 新しいコンテンツの翻訳は、およそ 1 ~ 2 週間で公開されます。

外部クライアントを作成する

Identity API を使用して、Automation Suite 組織内に新しい外部 OAuth クライアントを作成します。必要なスコープと要求本文のフィールドを含めます。

新しい外部クライアントを作成します。

API エンドポイント

POST https://{yourDomain}/{organizationName}/identity_/api/ExternalClient

スコープ

次のスコープのいずれかが必要です。

  • PM.OAuthApp
  • PM.OAuthApp.Write

要求ヘッダー

--header 'Authorization: Bearer {access_token}'\
--header 'Content-Type: application/json'
--header 'Authorization: Bearer {access_token}'\
--header 'Content-Type: application/json'
注:

{access_token}を取得するには、「認証方法」に記載されているいずれかの方法で認証を行ってください。

要求本文

要求本文には、組織 ID、外部クライアント名、機密性ステータス、リダイレクト URI、必要なスコープ、クライアント証明書が含まれます。

{
  "partitionGlobalId": "orgId",
  "name": "string",
  "isConfidential": true,
  "redirectUri": "string",
  "scopes": [
    {
      "name": "string",
      "displayName": "string",
      "description": "string",
      "type": "user"
    }
  ],
  "clientCertificates": [
    {}
  ]
}
{
  "partitionGlobalId": "orgId",
  "name": "string",
  "isConfidential": true,
  "redirectUri": "string",
  "scopes": [
    {
      "name": "string",
      "displayName": "string",
      "description": "string",
      "type": "user"
    }
  ],
  "clientCertificates": [
    {}
  ]
}

応答

201 Created

外部クライアントが正常に作成されました。

{
  "name": "string",
  "id": "string",
  "secret": "string",
  "isConfidential": true,
  "redirectUri": "string",
  "resources": [
    {
      "name": "string",
      "displayName": "string",
      "description": "string",
      "scopes": [
        {
          "name": "string",
          "displayName": "string",
          "description": "string",
          "type": "user"
        }
      ]
    }
  ],
  "secrets": [
    {
      "id": 0,
      "description": "string",
      "secret": "string",
      "creationTime": "2025-07-18T13:53:12.823Z",
      "expiryTime": "2025-07-18T13:53:12.823Z"
    }
  ]
}
{
  "name": "string",
  "id": "string",
  "secret": "string",
  "isConfidential": true,
  "redirectUri": "string",
  "resources": [
    {
      "name": "string",
      "displayName": "string",
      "description": "string",
      "scopes": [
        {
          "name": "string",
          "displayName": "string",
          "description": "string",
          "type": "user"
        }
      ]
    }
  ],
  "secrets": [
    {
      "id": 0,
      "description": "string",
      "secret": "string",
      "creationTime": "2025-07-18T13:53:12.823Z",
      "expiryTime": "2025-07-18T13:53:12.823Z"
    }
  ]
}
  • API エンドポイント
  • スコープ
  • 要求ヘッダー
  • 要求本文
  • 応答
  • 201 Created

このページは役に立ちましたか?

接続

ヘルプ リソース サポート

学習する UiPath アカデミー

質問する UiPath フォーラム

最新情報を取得